import request from '@/utils/request'

// 查询装置会议列表
export function listMeeting(query) {
  return request({
    url: '/plant/meeting/list',
    method: 'get',
    params: query
  })
}

// 查询装置会议详细
export function getMeeting(id) {
  return request({
    url: '/plant/meeting/' + id,
    method: 'get'
  })
}

// 查询装置会议详细
export function getLastMeeting(query) {
  return request({
    url: '/plant//meeting/last',
    method: 'get',
    params: query
  })
}

// 新增装置会议
export function addMeeting(data) {
  return request({
    url: '/plant/meeting',
    method: 'post',
    data: data
  })
}


// 修改装置会议
export function updateMeeting(data) {
  return request({
    url: '/plant/meeting',
    method: 'put',
    data: data
  })
}

// 删除装置会议
export function delMeeting(id) {
  return request({
    url: '/plant/meeting/' + id,
    method: 'delete'
  })
}

// 导出装置会议
export function exportMeeting(query) {
  return request({
    url: '/plant/meeting/export',
    method: 'get',
    params: query
  })
}

// 发送邮件
export function sendMail(query) {
  return request({
    url: '/plant/meeting/sendMail',
    method: 'get',
    params: query
  })
}
